Welcome to the forums. Please post in English or French.

You are not logged in.

#1 2022-07-26 20:35:31

Eslam
Member
Registered: 2022-07-26
Posts: 1

Problem with installation of Salome-Meca

Hi everybody,

I had a problem with the installation of Salome-Meca,

when I try to install it I get the following...


Installation of salome_meca V2020.0.1_universal_universal in /home/sharaawy/salome_meca/V2020.0.1_universal_universal ...
Verifying archive integrity...
All good.
Done                                                                                                                   
Creating salome_meca application in /home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal ...
Setting for help already set
Setting the language to fr in the preferences file /home/sharaawy/.config/salome/SalomeApprc..universal.universal
salome_meca post-installation ...
Adjusting the file : /home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/SalomeApp.xml
Warning: the directory /home/sharaawy/salome_meca/V2020.0.1_universal_universal/modules/EUROPLEXUS_20200/lib/salome is in a path variable but does not exist
Warning: the directory /home/sharaawy/salome_meca/V2020.0.1_universal_universal/modules/MELIDEFX_V9_4_0/lib/salome is in a path variable but does not exist
./create_appli.sh: line 301: syntax error near unexpected token `fi'
./create_appli.sh: line 301: `fi'
Adjusting wishexecutable /home/sharaawy/salome_meca/V2020.0.1_universal_universal/tools/Code_aster_frontend-202001/etc/codeaster/profile.sh
Initialize terminal and editor for Code_aster
Creating symlink in /home/sharaawy/salome_meca/V2020.0.1_universal_universal/tools/Code_aster_stable-1460 : salome -> /home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/salome
Creating symlink in /home/sharaawy/salome_meca/V2020.0.1_universal_universal/tools/Code_aster_testing-v152_smeca : salome -> /home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/salome
Final configuration




after installation is complete, when I try to launch it I get the following...




sharaawy@ubuntu:~$ /home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/salome
runSalome running on ubuntu
Error when trying to access active network connections.
Traceback (most recent call last):
  File "/home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/PortManager.py", line 118, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/home/sharaawy/salome_meca/V2020.0.1_universal_universal/prerequisites/Python-365/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/home/sharaawy/salome_meca/V2020.0.1_universal_universal/prerequisites/Python-365/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'netstat': 'netstat'
Searching for a free port for naming service: 2813 - OK
inside europlexus set env...
Searching Naming Service  +omniNames: (0) 2022-07-26 12:33:17.512524: -ORBendPoint option overriding default endpoint.
found in 0.1 seconds
Searching /Kernel/Session in Naming Service  +Warning, no type found for resource "localhost", using default value "single_machine"
SALOME_Session_Server: error while loading shared libraries: libquadmath.so.0: cannot open shared object file: No such file or directory
Traceback (most recent call last):
  File "/home/sharaawy/salome_meca/V2020.0.1_universal_universal/modules/KERNEL_V9_4_0/bin/salome/orbmodule.py", line 181, in waitNSPID
    os.kill(thePID,0)
ProcessLookupError: [Errno 3] No such process

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/runSalome.py", line 679, in useSalome
    clt = startSalome(args, modules_list, modules_root_dir)
  File "/home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/runSalome.py", line 624, in startSalome
    session=clt.waitNSPID("/Kernel/Session",mySessionServ.PID,SALOME.Session)
  File "/home/sharaawy/salome_meca/V2020.0.1_universal_universal/modules/KERNEL_V9_4_0/bin/salome/orbmodule.py", line 183, in waitNSPID
    raise RuntimeError("Process %d for %s not found" % (thePID,theName))
RuntimeError: Process 14680 for /Kernel/Session not found


--- Error during Salome launch ---



I tried many solutions but none of them work, and I am using ubuntu 18.04



update >>>>>>>>>>>>>

I tried to install a higher python version and try to run Salome again..
it runed and i got the loading screen but it disappeared very fast and i got the following in the terminal

/home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/salome
runSalome running on ubuntu
Error when trying to access active network connections.
Traceback (most recent call last):
  File "/home/sharaawy/salome_meca/appli_V2020.0.1_universal_universal/bin/salome/PortManager.py", line 118, in __isNetworkConnectionActiveOnPort
    p = Popen(cmd, stdout=PIPE, stderr=STDOUT)
  File "/home/sharaawy/salome_meca/V2020.0.1_universal_universal/prerequisites/Python-365/lib/python3.6/subprocess.py", line 709, in __init__
    restore_signals, start_new_session)
  File "/home/sharaawy/salome_meca/V2020.0.1_universal_universal/prerequisites/Python-365/lib/python3.6/subprocess.py", line 1344, in _execute_child
    raise child_exception_type(errno_num, err_msg, err_filename)
FileNotFoundError: [Errno 2] No such file or directory: 'netstat': 'netstat'
Searching for a free port for naming service: 2814 - OK
inside europlexus set env...
Searching Naming Service  +omniNames: (0) 2022-07-26 12:52:48.698268: -ORBendPoint option overriding default endpoint.
found in 0.1 seconds
Searching /Kernel/Session in Naming Service  ++Warning, no type found for resource "localhost", using default value "single_machine"
++++++++++Warning: this type (Study,objref) already exists, it will be ignored.
Warning: this type (SALOME_MED/MEDCouplingFieldDoubleCorbaInterface,objref) already exists, it will be ignored.
+ found in 6.5 seconds
Start SALOME, elapsed time :   6.9 seconds
****************************************************************
     Warning: module BLSURFPLUGIN is improperly configured!
     Module BLSURFPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HYBRIDPLUGIN is improperly configured!
     Module HYBRIDPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GMSHPLUGIN is improperly configured!
     Module GMSHPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module NETGENPLUGIN is improperly configured!
     Module NETGENPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module HexoticPLUGIN is improperly configured!
     Module HexoticPLUGIN will not be available in GUI mode!
****************************************************************
****************************************************************
     Warning: module GHS3DPLUGIN is improperly configured!
     Module GHS3DPLUGIN will not be available in GUI mode!
****************************************************************
th. 139853578195520 - Trace /home/A34370/smeca/yamm_build/V2020.0.1_universal_build/V2020_nopackage_universal/modules/src/GUI/src/LightApp/LightApp_Application.cxx [807] :
****************************************************************
     Warning: icon for Calculator is not found!
     Using the default icon.
****************************************************************

*** Abort *** an exception was raised, but no catch was found.
    ... The exception is:SIGSEGV 'segmentation violation' detected. Address 8

sharaawy@ubuntu:/tmp/Python-3.8.3$ Terminating SALOME on port 2814...



could you help me, please?

Thanks in advance.

Last edited by Eslam (2022-07-26 20:56:07)

Offline

#2 2022-07-27 19:58:29

sb1966
Member
From: INDIA
Registered: 2015-03-16
Posts: 249

Re: Problem with installation of Salome-Meca

Hi,
1.Which version of Ubuntu you are in?
2. Have you installed all the prerequisites?
3. Post  #20 at H ttps://www.code-aster.org/forum2/viewtopic.php?id=24883 might be of help
4. You may try installing new 2021 version (singularity container)

Best wishes

Sukumar

Offline